## nvi 1.76

=== catalog/Makefile ===
#	@(#)Makefile	8.27 (Berkeley) 8/21/96

CAT=	dutch english french german ru_SU.KOI8-R swedish
FILES=	../cl/*.c ../common/*.c ../ex/*.c ../tk/*.c ../vi/*.c

all: dump ${CAT}

${CAT}: english.base
	@echo "... $@";							\
	rm -f $@;							\
	sort -u $@.base |						\
	awk '{								\
		if ($$1 == 1) {						\
			print "\nMESSAGE NUMBER 1 IS NOT LEGAL";	\
			exit 1;						\
		}							\
		if (++nline > $$1) {					\
			print "DUPLICATE MESSAGE NUMBER " $$1;		\
			exit 1;						\
		}							\
		for (; nline < $$1; ++nline)				\
			print "";					\
		print $0;						\
	}' |								\
	sed -e '1s/^/VI_MESSAGE_CATALOG/'				\
	    -e '/"/s/^[^"]*"//'						\
	    -e '1!s/"$$/X/' > $@;					\
	chmod 444 $@;							\
	if grep DUPLICATE $@ > /dev/null; then				\
		grep DUPLICATE $@;					\
	fi;								\
	if grep 'NOT LEGAL' $@ > /dev/null; then			\
		grep 'NOT LEGAL' $@;					\
	fi

CHK=	dutch.check english.check german.check ru_SU.KOI8-R.check \
	swedish.check
check: ${CHK}
${CHK}: ${CAT}
	@echo "... $@";							\
	f=`basename $@ .check`;						\
	(echo "Unused message id's (this is okay):";			\
	awk '{								\
		while (++nline < $$1)					\
			printf "%03d\n", nline;				\
	}' < $$f.base;							\
	echo =========================;					\
	echo "MISSING ERROR MESSAGES (Please add!):";			\
	awk '{print $$1}' < $$f.base | sort -u > __ck1;			\
	awk '{print $$1}' < english.base | sort -u > __ck2;		\
	comm -13 __ck1 __ck2;						\
	echo =========================;					\
	echo "Extra error messages (just delete them):";		\
	comm -23 __ck1 __ck2;						\
	echo =========================;					\
	echo "MESSAGES WITH THE SAME MESSAGE ID's (FIX!):";		\
	for j in							\
	    `sed '/^$$/d' < $$f.base | sort -u |			\
	    awk '{print $$1}' | uniq -d`; do				\
		egrep $$j $$f.base;					\
	done;								\
	echo =========================;					\
	echo "Duplicate messages, both id and message (this is okay):";	\
	sed '/^$$/d' < $$f.base | sort | uniq -c |			\
	awk '$$1 != 1 { print $$0 }' | sort -n;				\
	echo =========================;					\
	echo "Duplicate messages, just message (this is okay):";	\
	sed '/^$$/d' < $$f | sort | uniq -c |				\
	awk '$$1 != 1 { print $$0 }' | sort -n;				\
	echo =========================) > $@

english.base: dump ${FILES} #Makefile
	./dump ${FILES} |\
	sed -e '/|/!d' \
	    -e 's/|/ "/' \
	    -e 's/^"//' \
	    -e 's/\\"/"/g' |\
	sort -n > $@

dump: dump.c
	${CC} -O -o dump dump.c

clean:
	rm -f dump dump.o ${CAT} english.base *.check __ck1 __ck2

=== docs/USD.doc/exref/Makefile ===
# @(#)Makefile	8.7 (Berkeley) 8/18/96

ROFF=	groff
TBL=	tbl

all: exref.ps summary.ps

exref.ps: ex.rm
	${TBL} ex.rm | ${ROFF} -ms > $@
	chmod 444 $@

summary.ps: ex.summary
	${TBL} ex.summary | ${ROFF} > $@
	chmod 444 $@

clean:
	rm -f exref.ps summary.ps

## nvi 1.79

=== catalog/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-#	@(#)Makefile	8.27 (Berkeley) 8/21/96
+#	@(#)Makefile	8.29 (Berkeley) 10/19/96
 
-CAT=	dutch english french german ru_SU.KOI8-R swedish
+CAT=	dutch english french german ru_SU.KOI8-R spanish swedish
 FILES=	../cl/*.c ../common/*.c ../ex/*.c ../tk/*.c ../vi/*.c
 
 all: dump ${CAT}
@@ -33,8 +33,8 @@
 		grep 'NOT LEGAL' $@;					\
 	fi
 
-CHK=	dutch.check english.check german.check ru_SU.KOI8-R.check \
-	swedish.check
+CHK=	dutch.check english.check french.check german.check \
+	ru_SU.KOI8-R.check spanish.check swedish.check
 check: ${CHK}
 ${CHK}: ${CAT}
 	@echo "... $@";							\

## nvi 1.81.6

=== catalog/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-#	@(#)Makefile	8.29 (Berkeley) 10/19/96
+#	$Id: Makefile,v 8.30 1996/11/27 11:59:09 bostic Exp $ (Berkeley) $Date: 1996/11/27 11:59:09 $
 
 CAT=	dutch english french german ru_SU.KOI8-R spanish swedish
-FILES=	../cl/*.c ../common/*.c ../ex/*.c ../tk/*.c ../vi/*.c
+FILES=	../cl/*.c ../common/*.c ../ex/*.c ../vi/*.c
 
 all: dump ${CAT}

=== docs/edit/Makefile ===
# $Id: Makefile,v 8.6 2001/01/28 15:50:07 skimo Exp $ (Berkeley) $Date: 2001/01/28 15:50:07 $

ROFF=	groff
TBL=	tbl

all: edittut.ps ../html/edittut.html

../html/%.html: %.ms
	test -d ../html || mkdir ../html
	${TBL} $< | ${ROFF} -ms -Thtml | \
	    sed 's/<img src="$<.*png">//' > $@
	rm -f "$<"*png
	chmod 444 $@

%.ps: %.ms
	${TBL} $< | ${ROFF} -ms > $@
	chmod 444 $@

clean:
	rm -f edittut.ps ../html/edittut.html

=== docs/exref/Makefile ===
# $Id: Makefile,v 8.10 2001/01/28 15:50:07 skimo Exp $ (Berkeley) $Date: 2001/01/28 15:50:07 $

ROFF=	groff
TBL=	tbl

ALL= exref.ps summary.ps ../html/exref.html ../html/ex-summary.html

all: $(ALL)

../html/exref.html: ex.rm
	test -d ../html || mkdir ../html
	${TBL} $< | ${ROFF} -ms -Thtml | \
	    sed 's/<img src="$<.*png">//' > $@
	rm -f "$<"*png
	chmod 444 $@

../html/ex-summary.html: ex.summary
	test -d ../html || mkdir ../html
	${TBL} $< | ${ROFF} -ms -Thtml | \
	    sed 's/<img src="$<.*png">//' > $@
	rm -f "$<"*png
	chmod 444 $@

exref.ps: ex.rm
	${TBL} $< | ${ROFF} -ms > $@
	chmod 444 $@

summary.ps: ex.summary
	${TBL} $< | ${ROFF} -ms > $@
	chmod 444 $@

clean:
	rm -f $(ALL)

=== docs/vi.man/Makefile ===
# $Id: Makefile,v 8.9 2001/01/28 15:50:07 skimo Exp $ (Berkeley) $Date: 2001/01/28 15:50:07 $

ROFF=	groff

all: vi.0 vi.0.ps ../html/vi.0.html

vi.0: vi.1
	${ROFF} -man -Tascii < vi.1 > $@
	chmod 444 $@

vi.0.ps: vi.1
	${ROFF} -man < vi.1 > $@
	chmod 444 $@

../html/vi.0.html: vi.1
	test -d ../html || mkdir ../html
	${ROFF} -man -Thtml < vi.1 | \
	    sed 's/<img src="$<.*png">//' > $@
	rm -f "$<"*png
	chmod 444 $@

clean:
	rm -f vi.0 vi.0.ps ../html/vi.0.html

=== docs/vi.ref/Makefile ===
#	$Id: Makefile,v 8.25 2001/08/20 09:40:50 skimo Exp $ (Berkeley) $Date: 2001/08/20 09:40:50 $

MACROS=	-me
ROFF=	groff
TBL=	tbl

all: vi.ref.txt vi.ref.ps ../html/vi.ref.html

vi.ref.txt: vi.texi
	-makeinfo --no-headers vi.texi > $@ 2>/dev/null
	chmod 444 $@

vi.ref.ps: vi.texi
	texi2dvi -c vi.texi
	dvips -o $@ vi.dvi
	rm -f vi.dvi
	chmod 444 $@

../html/vi.ref.html: vi.texi
	test -d ../html || mkdir ../html
	-makeinfo --html --no-split vi.texi --output=$@ 2>/dev/null
	chmod 444 $@

clean:
	rm -f vi.ref.ps vi.ref.txt index index.so ../html/vi.ref.html

=== debian/changelog ===
nvi (1.81.6-16) unstable; urgency=medium

  * QA upload.

  [ Boyuan Yang ]
  * debian/control: Clean-up build-dependency on transitional
    packages.
  * debian/patches/32: Add patch to fix ETXTBSY when executing
    nvi-opened files. (Closes: #891174, #497342)
  * debian/copyright: Fix DEP5 format.
  * debian/control: Add missing ${misc:Pre-Depends} placeholder.

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Wrap long lines in changelog entries: 1.79-20, 1.79-16.
  * Move source package lintian overrides to debian/source.
  * Bump debhelper from old 9 to 12.
    + Set debhelper-compat version in Build-Depends.
    - Drop old dh-systemd build-dependency. (Closes: #958595)
  * Set upstream metadata fields: Repository.
  * Rely on pre-initialized dpkg-architecture variables.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Apr 2020 18:54:55 -0400

nvi (1.81.6-15) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Add Vcs-Git and Vcs-Browser fields and use git repo under
      Salsa Debian group.
    + Mark nvi-doc as Multi-Arch: foreign.
    + Use a more recent project homepage for Homepage field.
      (Closes: #749334)
  * Remove trailing spaces in debian/control and debian/changelog.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Dec 2018 16:25:49 -0500

nvi (1.81.6-14) unstable; urgency=medium

  * QA upload.
  * Explicit pass vi_cv_path_shell=/bin/sh to configure to make build
    reproducible between merged-usr and non-merged-usr systems.
    (Closes: #915170)

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 01 Dec 2018 16:20:05 +0100

nvi (1.81.6-13) unstable; urgency=medium

  * QA upload.
  * Build with all hardening options.
  * CVE-2015-2305: Apply heap overflow patch from Dragonfly BSD (closes:
    #778412).
  * Fix cross-build failure: pass --build and --host to configure (thanks,
    Helmut Grohne; closes: #794030).

 -- Colin Watson <cjwatson@debian.org>  Sat, 31 Dec 2016 04:10:57 +0000

nvi (1.81.6-12) unstable; urgency=medium

  * QA upload
  * Add systemd job (Closes: #796635)
  * Make recover script complete enough for use in init process
    - Rename init script from nviboot to nvi, move out of runlevel S
  * Cleanup

 -- Bryan Quigley <bryan.quigley@canonical.com>  Thu, 17 Sep 2015 11:12:47 -0400

nvi (1.81.6-11) unstable; urgency=medium

  * QA upload.
  * Pass "-s /bin/sh" to "su nobody" to cope with the change of nobody's
    shell in base-passwd 3.5.30.

 -- Colin Watson <cjwatson@debian.org>  Thu, 09 Jan 2014 14:03:57 +0000

nvi (1.81.6-10) unstable; urgency=low

  * QA upload.
  * Fix binary-arch builds

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 25 May 2013 08:32:31 +0200

nvi (1.81.6-9) unstable; urgency=low

  * QA upload.
  * Change maintainer to QA group
  * debian/ cleanup:
    + bump debhelper compat to 9
    + use dpkg-buildflags
    + use dh (as far as possible)
    + convert from dpatch to 3.0 (quilt) with patch from
      Jari Aalto. (Closes: #664360)

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 25 May 2013 00:07:03 +0200

nvi (1.81.6-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on libdb-dev (Closes: #621381)
  * Bumped Standards-Version to 3.9.2
    - Included full license texts in debian/copyright instead of refering
      to /usr/share/common-licenses/BSD (which is due to be removed from
      common-licenses)
  * Added a dependency on ${misc:Depends} to each binary to fix the lintian
    warning debhelper-but-no-misc-depends.
  * Added a README.source (based on dpatch's standard README.source) to
    fix the lintian warning patch-system-but-no-source-readme.

 -- Axel Beckert <abe@debian.org>  Sat, 14 May 2011 19:31:12 +0200

nvi (1.81.6-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libdb4.7-dev (Closes: #555933)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 28 Jan 2010 23:53:10 +0100

nvi (1.81.6-8) unstable; urgency=low

  * Fix generation of backup file names. Closes: #534732.
  * Bump Standards version to 3.8.2 (no changes).
  * Minor adjustments to make lintian's pedantic mode happier:
    * Remove redundant lines from d/control.
    * Add some patch descriptions.
    * Adjust packaging copyright year list.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Fri, 24 Jul 2009 12:14:15 +0200

nvi (1.81.6-7) unstable; urgency=low

  * Replace README.debian (which was until now duplicating copyright
    information) with a note regarding nvi's UTF support.
    Closes: #386590.
  * Fix regular expressions to be 8-bit clean again. Closes: #523934.
  * Bump standards version to 3.8.1 (no changes).

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Fri, 05 Jun 2009 02:18:13 +0200

nvi (1.81.6-6) unstable; urgency=low

  * Fix {^A}. Thanks to Al Viro for his thorough analysis and immediate
    patch suggestion. Closes: #518397.
  * Fix pagesize argument passed to db__set_pagesize().
  * Allow editing of 8-bit files even if LC_CTYPE is set to C.
    Closes: #496305.
  * Uncomment stable branch in watch file because DEHS will just report
    the version taken from the first line.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 08 Mar 2009 01:23:16 +0100

nvi (1.81.6-5) unstable; urgency=low

  * nvi no longer requires a specific libdb4 revision.
    To this end revive 03db4.dpatch and make a few adjustments.
    Closes: #490361. Stay at low urgency despite RC - I want
    proper testing for this widechar mess.
  * Start new patch 13widechar_horrors.dpatch and begin to fix
    all the places the widechar support hasn't reached yet or
    which have simply been overlooked.
    * Fix number increment/decrement bug (that's one of those).
      Closes: #497349.
  * Lintian cleanups:
    * Switch to dh_prep.
    * Have package scripts call 'set -e'.
    * Add new lintian override regarding the (unused) dist/ltconfig.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 01 Mar 2009 15:40:59 +0100



=== debian/control ===
Source: nvi
Section: editors
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.0
Build-Depends:
 debhelper-compat (= 12),
 libncurses-dev,
 libdb-dev,
Homepage: https://repo.or.cz/nvi.git
Vcs-Git: https://salsa.debian.org/debian/nvi.git
Vcs-Browser: https://salsa.debian.org/debian/nvi

Package: nvi
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: nvi-doc
Description: 4.4BSD re-implementation of vi
 Vi is the original screen based text editor for Unix systems.
 It is considered the standard text editor, and is available on
 almost all Unix systems.
 .
 Nvi is intended as a "bug-for-bug compatible" clone of the original
 BSD vi editor. As such, it doesn't have a lot of snazzy features as do
 some of the other vi clones such as elvis and vim. However, if all
 you want is vi, this is the one to get.

Package: nvi-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: 4.4BSD re-implementation of vi - documentation files
 Vi is the original screen based text editor for Unix systems.
 It is considered the standard text editor, and is available on
 almost all Unix systems.
 .
 Nvi is intended as a "bug-for-bug compatible" clone of the original
 BSD vi editor. As such, it doesn't have a lot of snazzy features as do
 some of the other vi clones such as elvis and vim. However, if all
 you want is vi, this is the one to get.
 .
 This package contains the tutorials and the reference manual.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for nvi. Based on:
#   Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export DH_VERBOSE=1

curdir=$(shell pwd)

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

ifeq ($(filter nostrip,$(DEB_BUILD_OPTIONS)),nostrip)
	make_deb_args=strip=/bin/true
else
	make_deb_args=
endif

%:
	dh $@

override_dh_auto_clean:
	rm -f dist/recover
	rm -f dist/config.sub dist/config.guess
	[ ! -f build.unix/Makefile ] || $(MAKE) -C build.unix distclean
	find build.unix -type f -and -not -name 'README*' -print0 | xargs -0 rm -f

override_dh_auto_configure:
	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub dist/
	cd build.unix && \
	  OPTFLAG="$(CFLAGS)" \
	  ADDCPPFLAGS="$(CPPFLAGS)" \
	  ADDLDFLAGS="$(LDFLAGS)" \
	  ac_cv_path_vi_cv_path_sendmail=/usr/sbin/sendmail \
	  vi_cv_path_shell=/bin/sh \
	  vi_cv_revoke=no \
	  ../dist/configure \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE) \
		--disable-curses \
		--prefix=/usr \
		--disable-shared --enable-static \
		--enable-widechar \
		--disable-threads \
		--without-x \
		--with-gnu-ld=yes \
		--datadir='$${prefix}/share' \
		--mandir='$${prefix}/share/man' \
		--program-prefix=n
	sed -i -e '/define.*_PATH_MSGCAT/ s/".*"/"\/usr\/share\/vi\/catalog\/"/' build.unix/pathnames.h

override_dh_auto_build:
	$(MAKE) -C build.unix

override_dh_auto_install:
	$(MAKE) -C build.unix install prefix=$(curdir)/debian/nvi/usr $(make_deb_args)
	-rm -rf \
		debian/nvi/usr/share/man/cat1 \
		debian/nvi/usr/lib \
		debian/nvi/usr/share/vi/perl \
		debian/nvi/usr/share/vi/tcl

override_dh_installchangelogs-arch:
	dh_installchangelogs
	cp nvi-1.79/docs/changelog debian/nvi/usr/share/doc/nvi/changelog_stable

override_dh_installchangelogs-indep:
	dh_installchangelogs
	cp nvi-1.79/docs/changelog debian/nvi-doc/usr/share/doc/nvi-doc/changelog_stable

override_dh_compress:
	dh_compress -Xvi.advanced -Xvi.beginner

=== debian/watch ===
version=3
#ftp://ftp.bostic.com/pub/nvi-([0-9.]*)\.tar\.gz
http://www.kotnet.org/~skimo/nvi/devel/nvi-([0-9.]*).tar.gz
